<?php
require'fun.php';
$titlu='Salvează setari extinse';
$back[1]='<a href="/setari">'.img('setari.png',2).'Setări</a>';
require'f_sus.php';
require'f_mut.php';
require'f_blocat.php';
$locatie2=$_POST['locatie2']??'';
if(blocat($locatie2))
{
$tip='setare locatie2';
$text=$locatie2;
require'f_ban.php';
}
$locatie=$conn->query('SELECT`location`FROM`membrii`WHERE`id`="'.$de.'"')->fetch_row()[0];
if($locatie!='Alte țări')
{
$localitati=$conn->query('SELECT`nume`FROM`localitati`WHERE`judet`="'.$locatie.'"ORDER BY`nume`');
while($localitate=$localitati->fetch_row())
{
$locatiile[]=$localitate[0];
}
}
else
{
$tari=$conn->query('SELECT`nume`FROM`tari`ORDER BY`nume`');
while($tara=$tari->fetch_row())
{
$locatiile[]=$tara[0];
}
}
if($locatie2==''||!in_array($locatie2,$locatiile))
{
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Nu ai ales o locatie existenta în baza noastra de date!'.$div[0];
require'f_jos.php';
}
$inaltime=$_POST['inaltime']??'';
if(blocat($inaltime))
{
$tip='setare inaltime';
$text=$inaltime;
require'f_ban.php';
}
$greutate=$_POST['greutate']??'';
if(blocat($greutate))
{
$tip='setare greutate';
$text=$greutate;
require'f_ban.php';
}
$ochi=$_POST['ochi']??'';
if(blocat($ochi))
{
$tip='setare culoare ochi';
$text=$ochi;
require'f_ban.php';
}
$par=$_POST['par']??'';
if(blocat($par))
{
$tip='setare culoare par';
$text=$par;
require'f_ban.php';
}
$cult=$_POST['cult']??'';
if(blocat($cult))
{
$tip='setare cult';
$text=$cult;
require'f_ban.php';
}
if($cult==''||!in_array($cult,[0,1,2,3,4,5,6,7,8,9,10,11]))
{
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Nu ai ales un cult existent în baza noastra de date!'.$div[0];
require'f_jos.php';
}
$stare_civila=$_POST['stare_civila']??'';
if(blocat($stare_civila))
{
$tip='setare stare civilă';
$text=$stare_civila;
require'f_ban.php';
}
if($stare_civila==''||!in_array($stare_civila,[0,1,2,3,4,5,6]))
{
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Nu ai ales o stare civilă existentă în baza noastra de date!'.$div[0];
require'f_jos.php';
}
$moto=$_POST['moto']??'';
if(blocat($moto))
{
$tip='setare moto';
$text=$moto;
require'f_ban.php';
}
$descriere=$_POST['descriere']??'';
if(blocat($descriere))
{
$tip='setare descriere';
$text=$descriere;
require'f_ban.php';
}
$ipla=$_POST['ipla']??'';
if(blocat($ipla))
{
$tip='setare ii place';
$text=$ipla;
require'f_ban.php';
}
$npla=$_POST['npla']??'';
if(blocat($npla))
{
$tip='setare nu ii place';
$text=$npla;
require'f_ban.php';
}
$obb=$_POST['obb']??'';
if(blocat($obb))
{
$tip='setare obiceiuri bune';
$text=$obb;
require'f_ban.php';
}
$obr=$_POST['obr']??'';
if(blocat($obr))
{
$tip='setare obiceiuri rele';
$text=$obr;
require'f_ban.php';
}
$calitati=$_POST['calitati']??'';
if(blocat($calitati))
{
$tip='setare calitati';
$text=$calitati;
require'f_ban.php';
}
$defecte=$_POST['defecte']??'';
if(blocat($defecte))
{
$tip='setare defecte';
$text=$defecte;
require'f_ban.php';
}
$muzica=$_POST['muzica']??'';
if(blocat($muzica))
{
$tip='setare muzica favorita';
$text=$muzica;
require'f_ban.php';
}
$sport=$_POST['sport']??'';
if(blocat($sport))
{
$tip='setare sport favorit';
$text=$sport;
require'f_ban.php';
}
$profesie=$_POST['profesie']??'';
if(blocat($profesie))
{
$tip='setare profesie';
$text=$profesie;
require'f_ban.php';
}
echo($conn->query('UPDATE`membrii`SET`profil`="0",`locatie2`="'.$locatie2.'",`oricine`="'.$_POST['oricine'].'",`inaltime`="'.$inaltime.'",`greutate`="'.$greutate.'",`ochi`="'.$ochi.'",`par`="'.$par.'",`cult`="'.$cult.'",`stare_civila`="'.$stare_civila.'",`moto`="'.$moto.'",`descriere`="'.$descriere.'",`ipla`="'.$ipla.'",`npla`="'.$npla.'",`obb`="'.$obb.'",`obr`="'.$obr.'",`calitati`="'.$calitati.'",`defecte`="'.$defecte.'",`muzica`="'.$muzica.'",`sport`="'.$sport.'",`profesie`="'.$profesie.'"WHERE`id`="'.$de.'"')?$div[4].'<img src="'.$domenii_statice[1].'actiune_check.png" alt="" width="16" height="16" />Succes!'.$div[5].$div[6].'Setări extinse actualizate!':$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7]).$div[0];
require'f_jos.php';